
.nav_top_text p {
    padding: 8px;
    background: #ffd700;
    text-align: center;
}
.banner_bottom_text marquee {
    margin-top: -2px;
    font-size: 20px;
    padding: 10px 0;
    color: #fff;
    background: #000;
}
@media only screen and (max-width: 600px) {
    .banner_bottom_text marquee {
        font-size: 18px;
        padding: 5px 0;
    }
}

.acc-wrapper {
    border: 1px solid #ddd;
}

.acc-header {
    background: #f2f2f2;
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    cursor: pointer;
    font-weight: 500;
}

.acc-header .acc-title {
    padding: 12px 15px;
    flex: 1;
}

.acc-icon {
    background: #000;
    color: #fff;
    min-width: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    user-select: none;
}

.acc-body {
    padding: 15px;
    background: #fff;
    border-top: 1px solid #ddd;
}

.search-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    display: none;
    z-index: 1040;
}

.search-sidebar {
    position: fixed;
    top: 0;
    right: -330px;
    width: 330px;
    max-width: 100%;
    height: 100%;
    background: #fff;
    z-index: 9999;
    transition: 0.4s ease;
    overflow-y: auto;
    padding: 15px;
}

.search-sidebar.active {
    right: 0;
}

.search-overlay.active {
    display: block;
}

.product-item {
    display: flex;
    gap: 10px;
    margin-bottom: 15px;
}

.product-item img {
    width: 70px;
    height: 70px;
    object-fit: cover;
    border-radius: 6px;
}

.old-price {
    text-decoration: line-through;
    color: #999;
    font-size: 14px;
}

.new-price {
    font-weight: 600;
}

/*.middle_ads_banner {*/
/*    width: 100%;*/
/*    height: 350px;*/
/*    object-fit: cover;*/
/*}*/

/*@media only screen and (max-width: 600px) {*/
/*    .middle_ads_banner {*/
/*        height: 110px !important;*/
/*    }*/
/*}*/

/* IMAGE */
.spfc-img {
    max-width: 480px;
    border-radius: 8px;
}

.spfc-img-wrapper {
    position: relative;
    display: inline-block;
    padding: 25px;
    border-radius: 10px;
}

.spfc-title {
    color: #f2c200;
    font-weight: 700;
    margin-bottom: 15px;
    letter-spacing: 1px;
}

.spfc-desc {
    line-height: 1.7;
    margin-bottom: 20px;
}

.spfc-btn {
    background: #f2c200;
    color: #000;
    padding: 12px 26px;
    border-radius: 8px;
    text-decoration: none;
    font-weight: 600;
    display: inline-block;
}

.spfc-line-desktop,
.spfc-line-top,
.spfc-line-middle,
.spfc-line-bottom {
    position: absolute;
    left: 112% !important;
    transform: translateX(-50%);
    width: 1px;
}

.spfc-line-desktop::before,
.spfc-line-top::before,
.spfc-line-middle::before,
.spfc-line-bottom::before {
    content: "";
    position: absolute;
    width: 1px;
    height: 100%;
    background: repeating-linear-gradient(
        to bottom,
        #797777,
        #797777 2px,
        transparent 2px,
        transparent 5px
    );
}

.spfc-dot-gray {
    width: 8px;
    height: 8px;
    background: #bfbfbf;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    top: 0;
}
.mobile-spfc-dot-yellow {
    width: 8px;
    height: 8px;
    background: #f2c200;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    top: 60px;
}
.spfc-dot-gray-two {
    width: 8px;
    height: 8px;
    background: #bfbfbf;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    top: 100%;
}

.spfc-dot-yellow {
    width: 10px;
    height: 10px;
    background: #f2c200;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    top: 50%;
}

.pc-spfc-dot-gray {
    width: 10px;
    height: 10px;
    background: #bfbfbf;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    top: 0;
}
.pc-spfc-dot-gray-two {
    width: 10px;
    height: 10px;
    background: #bfbfbf;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    bottom: -3px;
}
.spfc-line-desktop {
    right: -70px;
    left: auto;
    transform: none;
    top: 0px;
    height: calc(100% + 0px);
}

@media (max-width: 768px) {
    .spfc-img-col {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .spfc-img {
        max-width: 100%;
    }

    .spfc-line-top {
        position: relative;
        height: 90px;
        left: 0;
    }
    .spfc-line-middle {
        position: absolute;
        top: 50%;
        height: 120px;
        transform: translate(-50%, -50%);
    }

    .spfc-line-bottom {
        position: relative;
        height: 90px;
        left: 0;
    }
    .spfc-title {
        margin-top: 20px;
    }
    .spfc-line-desktop,
    .spfc-line-top,
    .spfc-line-middle,
    .spfc-line-bottom {
        left: 0 !important;
    }
    .spfc-img-wrapper {
        box-shadow: 0 0 0.4rem #00000021;
    }
}

.top-categories-line {
    position: absolute;
    width: 155px;
    background: #000;
    height: 1px;
    left: 46%;
    margin-top: 38px;
}
.top-selling-product-line {
    position: absolute;
    width: 230px;
    background: #000;
    height: 1px;
    left: 44%;
    margin-top: 40px;
}
.category-product-line {
    position: absolute;
    width: 36px;
    background: #000;
    height: 1px;
    left: 49%;
    margin-top: 32px;
}
@media (max-width: 768px) {
    .top-categories-line {
        width: 135px;
        left: 34%;
        margin-top: 34px;
    }

    .top-selling-product-line {
        width: 185px;
        left: 28%;
        margin-top: 34px;
    }
    .category-product-line {
        left: 46%;
        margin-top: 26px;
    }
}
